Debian Bug report logs - #577004
openconnect: FTBFs on kfreebsd: error: storage size of 'buf' isn't known

version graph

Package: src:openconnect; Maintainer for src:openconnect is Mike Miller <mtmiller@debian.org>;

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Thu, 8 Apr 2010 20:48:01 UTC

Severity: serious

Tags: patch

Found in version openconnect/2.22-1

Fixed in version openconnect/2.22-1.1

Done: Christoph Egger <christoph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, Ross Burton <ross@debian.org>:
Bug#577004; Package src:openconnect. (Thu, 08 Apr 2010 20:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, Ross Burton <ross@debian.org>. (Thu, 08 Apr 2010 20:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: openconnect: FTBFs on kfreebsd: error: storage size of 'buf' isn't known
Date: Thu, 08 Apr 2010 22:43:23 +0200
Source: openconnect
Version: 2.22-1
Severity: serious
Justification: FTBFS
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

Hi,

your package no longer builds on kfreebsd-*:
| cc -c -o ssl.o -O2 -g -Wall -I/usr/include/openssl -I/usr/include/libxml2    ssl.c -MD -MF .ssl.o.dep
| ssl.c: In function 'passphrase_from_fsid':
| ssl.c:729: error: storage size of 'buf' isn't known
| ssl.c:733: warning: implicit declaration of function 'statfs'
| ssl.c:729: warning: unused variable 'buf'
| make[1]: *** [ssl.o] Error 1

Full build logs:
  https://buildd.debian.org/status/package.php?p=openconnect

Mraw,
KiBi.




Added tag(s) patch. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Fri, 09 Apr 2010 06:42:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#577004; Package src:openconnect. (Fri, 09 Apr 2010 07:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Ross Burton <ross@debian.org>. (Fri, 09 Apr 2010 07:18:06 GMT) Full text and rfc822 format available.

Message #12 received at 577004@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 577004@bugs.debian.org
Cc: control@bugs.debian.org
Subject: openconnect: FTBFs on kfreebsd: error: storage size of 'buf' isn't known
Date: Fri, 9 Apr 2010 10:45:41 +0200 (CEST)
tags 577004 +patch
--

Hi,

please just choose needed includes for "struct statfs" availability.

Petr

--- ssl.c
+++ ssl.c
@@ -33,7 +33,7 @@
 #include <stdio.h>
 #if defined(__linux__)
 #include <sys/vfs.h>
-#elif defined(__FreeBSD__) || defined(__OpenBSD__) || defined(__APPLE__)
+#elif defined(__FreeBSD__) || defined(__FreeBSD_kernel__) || defined(__OpenBSD__) || defined(__APPLE__)
 #include <sys/param.h>
 #include <sys/mount.h>
 #elif defined (__sun__)





Information forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#577004; Package src:openconnect. (Fri, 09 Apr 2010 12:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Woodhouse <dwmw2@infradead.org>:
Extra info received and forwarded to list. Copy sent to Ross Burton <ross@debian.org>. (Fri, 09 Apr 2010 12:18:05 GMT) Full text and rfc822 format available.

Message #17 received at 577004@bugs.debian.org (full text, mbox):

From: David Woodhouse <dwmw2@infradead.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 577004@bugs.debian.org
Cc: Ross Burton <ross@burtonini.com>
Subject: Re: Bug#577004: openconnect: FTBFs on kfreebsd: error: storage size of 'buf' isn't known
Date: Fri, 09 Apr 2010 12:10:47 +0100
http://git.infradead.org/users/dwmw2/openconnect.git/commitdiff/fe00b0e5

I've just done a v2.23 release with that, since I had some other things
queued up anyway.

-- 
dwmw2





Information forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#577004; Package src:openconnect. (Sat, 17 Jul 2010 20:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Ross Burton <ross@debian.org>. (Sat, 17 Jul 2010 20:12:03 GMT) Full text and rfc822 format available.

Message #22 received at 577004@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 577004@bugs.debian.org
Subject: openconnect: diff for NMU version 2.22-1.1
Date: Sat, 17 Jul 2010 22:10:38 +0200
[Message part 1 (text/plain, inline)]
tags 577004 + pending
thanks

Dear maintainer,

I've prepared an NMU for openconnect (versioned as 2.22-1.1) and
uploaded it to DELAYED/3. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
/"\  ASCII Ribbon : GPG-Key ID: 0xD49AE731
\ /    Campaign   : CaCert Assurer
 X   against HTML : Debian Developer
/ \   in eMails   : http://www.debian.org/

http://www.christoph-egger.org/
[openconnect-2.22-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Christoph Egger <christoph@debian.org> to control@bugs.debian.org. (Sat, 17 Jul 2010 20:12:06 GMT) Full text and rfc822 format available.

Reply sent to Christoph Egger <christoph@debian.org>:
You have taken responsibility. (Tue, 20 Jul 2010 20:54:05 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Tue, 20 Jul 2010 20:54:05 GMT) Full text and rfc822 format available.

Message #29 received at 577004-close@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 577004-close@bugs.debian.org
Subject: Bug#577004: fixed in openconnect 2.22-1.1
Date: Tue, 20 Jul 2010 20:50:36 +0000
Source: openconnect
Source-Version: 2.22-1.1

We believe that the bug you reported is fixed in the latest version of
openconnect, which is due to be installed in the Debian FTP archive:

openconnect_2.22-1.1.diff.gz
  to main/o/openconnect/openconnect_2.22-1.1.diff.gz
openconnect_2.22-1.1.dsc
  to main/o/openconnect/openconnect_2.22-1.1.dsc
openconnect_2.22-1.1_kfreebsd-amd64.deb
  to main/o/openconnect/openconnect_2.22-1.1_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 577004@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christoph Egger <christoph@debian.org> (supplier of updated openconnect package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sat, 17 Jul 2010 16:06:33 -0400
Source: openconnect
Binary: openconnect
Architecture: source kfreebsd-amd64
Version: 2.22-1.1
Distribution: unstable
Urgency: low
Maintainer: Ross Burton <ross@debian.org>
Changed-By: Christoph Egger <christoph@debian.org>
Description: 
 openconnect - Open client for Cisco AnyConnect VPN
Closes: 577004
Changes: 
 openconnect (2.22-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix kFreeBSD detection (Closes: #577004) using patch from Petr Salinger
Checksums-Sha1: 
 aaaca16047be8bf5aa8e257a4954131527c5748d 1420 openconnect_2.22-1.1.dsc
 f10bfe5a052f49096a77575063ff31f1661f72c5 2243 openconnect_2.22-1.1.diff.gz
 2628f5f2734c23f53e07ca74c4f7f03c0807a539 71830 openconnect_2.22-1.1_kfreebsd-amd64.deb
Checksums-Sha256: 
 3080d1895facccdc6d31cc0e539253e94b0dea219e1b66b1d487ff44a88b11a8 1420 openconnect_2.22-1.1.dsc
 7411d175584aa0c08c0f23174581a087978e2b2dcaa482cbf2ca21984134ff9e 2243 openconnect_2.22-1.1.diff.gz
 d4581f862acbf4e29d0e58627a0a5ba8a341df78c2ede139928e563d2d275da4 71830 openconnect_2.22-1.1_kfreebsd-amd64.deb
Files: 
 16326a557110d715c1718a285d598d76 1420 net optional openconnect_2.22-1.1.dsc
 e2624bf94f6f2f0299993c9e18c28485 2243 net optional openconnect_2.22-1.1.diff.gz
 3556076af514c62666a01c23a7a4ea9e 71830 net optional openconnect_2.22-1.1_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBAwAGBQJMQg3yAAoJEOGDbms1cuRhfk0IAI9gt8+4bNqrh8X0w6Ave5s5
PI0OFVNwnEs6BY8uwxzaIoHdasGBhpEN9F5GleeywU+PPfRONRW7ja0bubQWJDJQ
Uhpwstxi+5PQUIEDwJQxsc3XTRHniKOZnNGfxEOyVeqZOYIKY35mMuvwEmiVWrJL
SjkhuwuthVCdq6XLPVKCVmWfzXv0qx1gYkSQ7H8Qxstm6rUEQZm0idmCHuu433Ws
fbK65TILd0ERy+Rjh4VY+9WLpx9cH0jZ7yFe49Rvw/uLdQq1mdssVYdkOUu7Q9qs
ZcnO1rQJ4Clv66J0EAPBQNZEXWwmZX4u2i8MgVDWAa9uleEKw97mRGDXeOOwzZI=
=cHx4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 Sep 2010 07:30:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:07:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.